wget_plugin_vtable(3)

NAME
wget_plugin_vtable

SYNOPSIS

#include <wget.h>

  Data Fields
const char *(* get_name )(wget_plugin *)
void(* register_finalizer )(wget_plugin *, wget_plugin_finalizer_fn *)
void(* register_argp )(wget_plugin *, wget_plugin_option_callback *)
void(* action_reject )(wget_intercept_action *)
void(* action_accept )(wget_intercept_action *)
void(* action_set_alt_url )(wget_intercept_action *, const wget_iri *)
void(* action_set_local_filename )(wget_intercept_action *, const char *)
void(* register_url_filter )(wget_plugin *, wget_plugin_url_filter_callback *)
const wget_iri *(* file_get_source_url )(wget_downloaded_file *)
const char *(* file_get_local_filename )(wget_downloaded_file *)
uint64_t(* file_get_size )(wget_downloaded_file *)
int(* file_get_contents )(wget_downloaded_file *, const void **data, size_t *size)
FILE *(* file_open_stream )(wget_downloaded_file *)
bool(* file_get_recurse )(wget_downloaded_file *)
void(* file_add_recurse_url )(wget_downloaded_file *, const wget_iri *)
void(* register_post_processor )(wget_plugin *, wget_plugin_post_processor *)

Detailed Description

vtable for implementing plugin API in wget

Author

Generated automatically by Doxygen for wget2 from the source code.